Class | Sequel::Mock::Dataset
In: | lib/sequel/adapters/mock.rb
Parent: | Sequel::Dataset

### Methods

columns fetch_rows

### Constants

DatasetClass | = | self

### Attributes

_fetch | [RW] | Override the databases‘s fetch setting for this dataset
autoid | [RW] | Override the databases‘s autoid setting for this dataset
numrows | [RW] | Override the databases‘s numrows setting for this dataset

### Public Instance methods

columns(*cs)

If arguments are provided, use them to set the columns for this dataset and return self. Otherwise, use the default Sequel behavior and return the columns.

[Source]

         # File lib/sequel/adapters/mock.rb, line 311
    311:       def columns(*cs)
    312:         if cs.empty?
    313:           super
    314:         else
    315:           @columns = cs
    316:           self
    317:         end
    318:       end

fetch_rows(sql, &block)

[Source]

         # File lib/sequel/adapters/mock.rb, line 320
    320:       def fetch_rows(sql, &block)
    321:         execute(sql, &block)
    322:       end

[Validate]